Package com.castlabs.android.player

# Enum CatchupConfiguration.TimeReference

java.lang.Object
java.lang.Enum<CatchupConfiguration.TimeReference>
com.castlabs.android.player.CatchupConfiguration.TimeReference

All Implemented Interfaces:
  `Serializable`, `Comparable<CatchupConfiguration.TimeReference>`

Enclosing class:
  `CatchupConfiguration`

public static enum CatchupConfiguration.TimeReference extends Enum<CatchupConfiguration.TimeReference>
Timing reference which will be used to calculate the thresholds of the CatchupConfiguration

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUFFER_AHEAD`
  Will use the amount of buffer ahead as the time reference.
  `MEDIA_END`
  Wil use the media end as the time reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CatchupConfiguration.TimeReference`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CatchupConfiguration.TimeReference[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BUFFER_AHEAD

    public static final CatchupConfiguration.TimeReference BUFFER_AHEAD
    Will use the amount of buffer ahead as the time reference. The thresholds are to be interpreted as amount of buffered media. This reference could be useful when trying to be as close to the live edge as possible. Using buffer health provides the end user smoother experience, since the player won't speed up until it has enough data to do so after a network bandwidth drop.

  - ### MEDIA_END

    public static final CatchupConfiguration.TimeReference MEDIA_END
    Wil use the media end as the time reference. The thresholds are to be interpreted as playback time from the current position to the end of the media (assuming to manifest updates). This reference is preferred if the goal of the CatchupConfiguration is to prevent a `BehindLiveWindowException`. Particularly useful with streams with a short live windows (≤ 30 seconds) in combination with unstable network connections, prone to severe buffer underruns.

- ## Method Details

  - ### values

    public static CatchupConfiguration.TimeReference[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CatchupConfiguration.TimeReference valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null